<?php
$codeX = '';
$codeY = '';
for ($i = 0; $i < 256; $i++) {
	$cosX = 8 + round(8 * cos($i * pi() / 128));	
	$sinY = 8 + round(8 * sin($i * pi() / 128));
	$codeX .= "\tDB\t" . $cosX . "\r\n";
	$codeY .= "\tDB\t" . $sinY . "\r\n";
}
file_put_contents(__DIR__ . "/cos_x.asm", $codeX);
file_put_contents(__DIR__ . "/sin_y.asm", $codeY);


            